import { jsx } from "react/jsx-runtime";
import { TokenENG as TokenENG$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenENG = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ENG", "data-name": "TokenENG", ...props, children: /* @__PURE__ */ jsx(TokenENG$1, { variant }) });
  }
);
TokenENG.displayName = "TokenENG";
Object.assign(TokenENG, { isGdsIcon: true });
export {
  TokenENG
};
